<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
    <link rel="stylesheet" href="./style.css">
    <script defer src="https://code.jquery.com/jquery-3.6.0.js"></script>
    <script defer src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
    <script type="module" src="./script.js"></script>
    
</head>
<body>
    <div class="">
        
        <button id="addItem">Add Contact</button>
    </div>

    <div id="contactModal">
        <form>
            <fieldset>
                    <label for="name">Name</label>
                    <input type="text" id="name" name="name">
                    <label for="surName">Surname</label>
                    <input type="text" id="surName" name="surName">
                    <label for="phone">Phone</label>
                    <input type="text" id="phone" name="phone">
                <input name="id" type="hidden" />

                <input type="submit" tabindex="-1" style="position:absolute; top:-1000px">
            </fieldset>
        </form>
    </div>

    <table id="contactTable">
        <caption>Contacts List</caption>
        <tbody>
        </tbody>
    </table>

    <script id="contactTemplate" type="text/template">
        <tr data-id="{id}">
            <td>{name}</td>
            <td>{surname}</td>
            <td>{phone}</td>
            <td><button class="edit-contact">Edit</button></td>
            <td><button class="delete-contact">Удалить</button></td>
        </tr>
    </script>
</body>
</html>